function cmsTpl_123(arParams){
	if (null != window.viewOpenerHelp){
        try {window.viewOpenerHelp.Close();}catch (e) {}
        window.viewOpenerHelp = null;
    }
    window.viewOpenerHelp = new fOpen_123(arParams);
}
function fOpen_123(arParams){
    this.jsOptions = arParams.data.split('||');
    this.arParams = arParams;
    var obButton = document.createElement('INPUT');
    obButton.type = "button";
    obButton.value = this.jsOptions[1];
    this.arParams.oCont.appendChild(obButton);
    obButton.onclick = BX.delegate(this.btnClick, this);
    this.saveData = BX.delegate(this.__saveData, this);
}
fOpen_123.prototype.btnClick = function (){
    window._global_BX_UTF = this.jsOptions[4];
    this.arElements = this.arParams.getElements();
    if (!this.arElements)
        return false;

    var strUrl = '/bitrix/components/#component_prostranstvo#/#component_name#/settings/settings.php' + '?lang=' + this.jsOptions[0] + '&IZ=' + this.jsOptions[3];
    var strToPost = {IZ:this.jsOptions[3]};
    for (var i in this.arElements) {
        strToPost[i]=this.arElements[i].value
    }
    if(typeof window.jsPopup_eff_d =='undefined') {
        window.jsPopup_eff_d = new BX.CDialog({
            'content_url': strUrl,
            'content_post': strToPost,
            'resizable': true
        });
    }else {
        window.jsPopup_eff_d.DIV.parentNode.removeChild(window.jsPopup_eff_d.DIV);
        window.jsPopup_eff_d = new BX.CDialog({
            'content_url': strUrl,
            'content_post': strToPost,
            'resizable': true
        });
    }
    window.jsPopup_eff_d.Show();
    window.jsPopup_eff_d.PARAMS.content_url = '';
    return false;
};
fOpen_123.prototype.Close = function(e){
    if (false !== e) {
        BX.PreventDefault(e);
    }
    if (null != window.jsPopup_eff_d){
        window.jsPopup_eff_d.Close();
    }
};
fOpen_123.prototype.__saveData = function(strData, iz){
	 this.Close(false);
}